t = tout(1:2500);

y1 = yout(:,1);
y2 = yout(:,3);

h = figure(1);
set(h,'Position',[120 90 320 240]);
set(h,'Color',[1 1 1]);

frame_box = [-0.06 0.06 -0.05 0.2];

nominal_length = 0.05;

w1 = 0.02;
h1 = 0.1;

w2 = 0.1;
h2 = 0.02;

steps_per_frame = 50;

iF = 1;
for iF = 1:length(t)/steps_per_frame,
   clf; hold on;
   h = rectangle('Position', [-w1/2 y1((iF-1)*steps_per_frame+1)+nominal_length w1 h1]);
   set(h,'LineWidth',2);
   h = rectangle('Position', [-w2/2 y2((iF-1)*steps_per_frame+1)-h2 w2 h2]);
   set(h,'LineWidth',2);
   plot(frame_box(1:2),frame_box(3:4),'.k');
   plot(frame_box(1:2),[-h2 -h2],'-k');   
   axis(frame_box);
   axis equal;
   %M(iF) = getframe;
   print('-djpeg','-r50',sprintf('dashpod_sim_%d',iF+10000));
end
