figure(4)
subplot(2,1,1), plot(freq,ss_height*100), grid on, xlabel('Frequency (Hz)');
subplot(2,1,1), ylabel('Steady state foot height (cm)');
subplot(2,1,1), title(sprintf('Steady State Hopping Height vs. Frequency\nm1=%0.3f, m2=%0.3f, k=var b=var, F=%0.1f, duty=%0.0f%%, fn=variable, z=%0.2f',...
    hopper.m1, hopper.m2, hopper.F, hopper.duty*100, hopper.z),'FontSize',12,'FontWeight','bold');
legendtxt='';
for i=1:size(fn,1)
    legendtxt=strcat(legendtxt,'''',sprintf('fn=%0.2f',fn(i)),'''');
    if i<size(fn,1)
        legendtxt=strcat(legendtxt,',');
    end
end

eval(strcat('subplot(2,1,1), legend(',legendtxt,');'));


subplot(2,1,2), plot(freq,periodicity), grid on, xlabel('Frequency (Hz)');
subplot(2,1,2), ylabel('Periodicity');
subplot(2,1,2), title(sprintf('Periodicity vs. Frequency\nm1=%0.3f, m2=%0.3f, k=var b=var, F=%0.1f, duty=%0.0f%%',...
    hopper.m1, hopper.m2, hopper.F, hopper.duty*100),'FontSize',12,'FontWeight','bold');